Subject: Re: [PATCH net-next RFC v4] net: hdlc_x25: Queue outgoing LAPB frames

From: Leon Romanovsky <[email-masked]>
Date: Thu, 18 Feb 2021 21:55:10 +0200

On Thu, Feb 18, 2021 at 09:36:54AM -0800, Xie He wrote:
> On Thu, Feb 18, 2021 at 2:37 AM Leon Romanovsky <[email-masked]> wrote:
> >
> > It is not me who didn't explain, it is you who didn't want to write clear
> > comment that describes the headroom size without need of "3 - 1".
>
> Why do I need to write unnecessary comments when "3 - 1" and the
> current comment already explains everything?

This is how we write code, we use defines instead of constant numbers,
comments to describe tricky parts and assign already preprocessed result.

There is nothing I can do If you don't like or don't want to use Linux kernel
style.

Thanks